io.milvus.response

## Class GetCollStatResponseWrapper

- java.lang.Object
- - io.milvus.response.GetCollStatResponseWrapper

    public class GetCollStatResponseWrapper
    extends java.lang.Object

Utility class to wrap response of `getCollectionStatistics` interface.

### Constructor Summary

Constructors
Constructor and Description
`GetCollStatResponseWrapper(@NonNull io.milvus.grpc.GetCollectionStatisticsResponse stat)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getRowCount()` Gets the row count of a field.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetCollStatResponseWrapper

    public GetCollStatResponseWrapper(@NonNull
                                      @NonNull io.milvus.grpc.GetCollectionStatisticsResponse stat)

### Method Detail

#### getRowCount

    public long getRowCount()
                     throws java.lang.NumberFormatException

Gets the row count of a field. Throw `NumberFormatException` if the row count is not a number.

Returns:
  `int` dimension of the vector field
Throws:
  `java.lang.NumberFormatException`